diff --git a/ruby-gtk2.cygport b/ruby-gtk2.cygport
index 66778b3..b99ce6d 100644
--- a/ruby-gtk2.cygport
+++ b/ruby-gtk2.cygport
@@ -1,14 +1,35 @@
 inherit rubygem
 
 NAME="ruby-gtk2"
-VERSION=3.2.9
+VERSION=3.4.3
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby GTK+2 bindings"
 DESCRIPTION="Ruby/GTK2 is a Ruby binding of GTK+-2.x."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
 
-PATCH_URI="3.2.4-cygwin-deps.patch"
+PATCH_URI="
+	https://src.fedoraproject.org/rpms/rubygem-gtk2/raw/rawhide/f/rubygem-gtk2-3.4.3-assign-nonzero-ID-to-relative-callback.patch
+	3.4.3-global.h.patch
+	3.4.3-rbgtkmacros.h.patch
+"
+
+BUILD_REQUIRES="libgtk2.0-devel ruby-atk ruby-cairo-devel ruby-gdk_pixbuf2 ruby-glib2-devel ruby-gobject-introspection-devel ruby-pango-devel ruby-pkg-config"
+LICENSE="LGPL-2.1-or-later"
+
+CFLAGS="${CFLAGS} -Drb_cData=rb_cObject"
+RUBYGEM_CONFIGURE_ARGS="--with-ldflags=-Wl,--out-implib=libruby-gtk2.a"
+
+src_install()
+{
+	cd ${S}
+	rubygem_install
+
+	pushd ${D}/usr/lib/pkgconfig
+	echo "" >> ${NAME}.pc
+	echo "Libs: -lruby-gtk2" >> ${NAME}.pc
+	popd
+}
 
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_gtk2_CONTENTS="--exclude=sample ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTDIR#/} ${RUBYGEM_SPEC#/}"
@@ -16,4 +37,4 @@ ruby_gtk2_devel_REQUIRES="${NAME} ruby-glib2-devel libgtk2.0-devel"
 ruby_gtk2_devel_CONTENTS="usr/include/ usr/lib/lib*.a usr/lib/pkgconfig/"
 ruby_gtk2_doc_CONTENTS="${RUBYGEM_DOCDIR#/} ${RUBYGEM_INSTDIR#/}/sample/"
 
-DEPS_PATH="${RUBYGEM_EXTDIR%/*}/pango-${VERSION}:${RUBYGEM_EXTDIR%/*}/glib2-${VERSION}:${RUBYGEM_EXTDIR%/*}/cairo-*"
+DEPS_PATH="${RUBYGEM_EXTDIR%/*}/pango-*:${RUBYGEM_EXTDIR%/*}/glib2-*:${RUBYGEM_EXTDIR%/*}/cairo-*"
